Crashing as soon as I turn on shaders

I'm having an issue where I will load into a world with DH on, and try to turn any of the shaders listed on the github page about shader compatibility, and the game will crash giving me this error message
The game crashed whilst unexpected error
Error: java.lang.NoSuchFieldError: Class com.seibel.distanthorizons.api.methods.events.abstractEvents.DhApiBeforeBufferRenderEvent$EventParam does not have member field 'com.seibel.distanthorizons.coreapi.util.math.Vec3f modelPos'
The game crashed whilst unexpected error
Error: java.lang.NoSuchFieldError: Class com.seibel.distanthorizons.api.methods.events.abstractEvents.DhApiBeforeBufferRenderEvent$EventParam does not have member field 'com.seibel.distanthorizons.coreapi.util.math.Vec3f modelPos'
I've tried lowering graphics settings and raising the amount of used ram in this installation file
10 Replies
That Guy
That Guy5d ago
Can we have you latest.log please /logstore
YAGPDB.xyz
YAGPDB.xyz5d ago
You should send your latest.log file to provide additional useful information. Logs are located in the .minecraft/logs directory. On Windows: %appdata%\.minecraft\logs On Linux: ~/.minecraft/logs On Mac: ~/Library/Application Support/minecraft/logs Please upload the file to mclo.gs instead of sending the raw file. This makes reading the contents of the file a lot easier and improves the chances of you getting the help needed. After uploading the file, click on Save and send the link.
Miki_P98
Miki_P985d ago
Current nightly (DH 2.1.3a) is incompatible with Iris Either use the latest full release, so DH 2.1.2 or wait for 2.1.3 to release and for Iris to update
Speckle
Speckle4d ago
i'm on 2.1.2
Puhpine
Puhpine4d ago
according to the logs you are using 2.1.3, so the auto updater must have updated you to the nightly builds. try replacing the distant horizons file with 2.1.2, and delete the config file at .minecraft/config/distanthorizons.toml before you start minecraft again this should put you on the stable branch
Speckle
Speckle4d ago
wow idk how i missed that thank you, you are amazingh is there a way to turn off the auto updater?
Puhpine
Puhpine4d ago
yes, press "never" when it prompts you if you want to update
Speckle
Speckle4d ago
gotcha thanks!
Puhpine
Puhpine4d ago
np!